Skip to navigation

Nova Micro 1.0

Nova Micro 1.0
Amazon · Text Generation
POST /v1/chat/completions

Text-only foundation model tuned for ultra-low latency and cost on 128K context. Strong for summarization, translation, and chat with 44% cache discount.

At a glance

FieldValue
Model idnova-micro-1-0
Model release date2024-12-03
Input modalitiesText
Output modalitiesText
Context window128K
Weight precision-
Max output tokens10,000
Featuresfast, function_calling
Native inferenceNo
NewNo
Structured outputNot supported
Batch API35% off list price
Supported endpointsPOST /v1/chat/completions, POST /v1/responses, POST /v1/messages, POST /v1beta/models/nova-micro-1-0:generateContent
Alternate model idsamazon-nova-micro, amazon/nova-micro, nova-micro, us.amazon.nova-micro-v1:0

Pricing

ChargeSpecRate
Inputper 1M prompt tokens$0.040
Outputper 1M generated tokens$0.16
Cached inputper 1M tokens$0.0224
Web Search (Linkup)per call when invoked$0.013

Example request

curl https://api.empiriolabs.ai/v1/chat/completions \
-H 'Authorization: Bearer $EMPIRIOLABS_API_KEY' \
-H 'Content-Type: application/json' \
-d '{"model": "nova-micro-1-0", "messages": [{"role":"user","content":"Hello"}]}'

Parameters

ParameterTypeRequiredDefaultDescription
temperaturenumberno0.7Sampling temperature, from 0 (deterministic) to 1. · Range: 0 – 1
top_pnumberno0.9Nucleus sampling probability mass. Lower = more focused. · Range: 0 – 1
max_tokensnumberno5000Maximum tokens in the response. · Range: 1 – 10000
stopstringno-Up to 4 strings where the model will stop generating further tokens.
web_search_linkupbooleannofalseOptional web search powered by Linkup. When enabled, recent web sources are retrieved using your latest user message as the query and provided to the model as additional context. Adds $0.013 per call when invoked on top of the model’s normal token cost. Disabled by default.
disable_formattingbooleannofalseReturn the answer without the Sources list that web search adds.

Notes

44% discount on cached chat.


Machine-readable schema: GET https://api.empiriolabs.ai/v1/models/nova-micro-1-0.